Package org.apache.activemq.artemis.jms.server

## Interface JMSServerManager

- All Superinterfaces:
    `org.apache.activemq.artemis.core.server.ActiveMQComponent`
  All Known Implementing Classes:
    `JMSServerManagerImpl`

      @Deprecated
      public interface JMSServerManager
      extends org.apache.activemq.artemis.core.server.ActiveMQComponent

  Deprecated.
  The JMS Management interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAddressSettings​(java.lang.String address, org.apache.activemq.artemis.core.settings.impl.AddressSettings addressSettings)` | Deprecated.
    `boolean` | `addConnectionFactoryToBindingRegistry​(java.lang.String name, java.lang.String binding)` | Deprecated.
    `boolean` | `addQueueToBindingRegistry​(java.lang.String queueName, java.lang.String binding)` | Deprecated.
    `void` | `addSecurity​(java.lang.String addressMatch, java.util.Set<org.apache.activemq.artemis.core.security.Role> roles)` | Deprecated.
    `boolean` | `addTopicToBindingRegistry​(java.lang.String topicName, java.lang.String binding)` | Deprecated.
    `boolean` | `closeConnectionsForAddress​(java.lang.String ipAddress)` | Deprecated.
    `boolean` | `closeConnectionsForUser​(java.lang.String address)` | Deprecated.
    `boolean` | `closeConsumerConnectionsForAddress​(java.lang.String address)` | Deprecated.
    `void` | `createConnectionFactory​(boolean storeConfig, ConnectionFactoryConfiguration cfConfig, java.lang.String... bindings)` | Deprecated.
    `void` | `createConnectionFactory​(java.lang.String name, boolean ha, JMSFactoryType cfType, java.lang.String discoveryGroupName, java.lang.String... bindings)` | Deprecated.
    `void` | `createConnectionFactory​(java.lang.String name, boolean ha, JMSFactoryType cfType, java.lang.String discoveryGroupName, java.lang.String clientID, long clientFailureCheckPeriod, long connectionTTL, long callTimeout, long callFailoverTimeout, boolean cacheLargeMessagesClient, int minLargeMessageSize, boolean compressLargeMessages, int consumerWindowSize, int consumerMaxRate, int confirmationWindowSize, int producerWindowSize, int producerMaxRate, boolean blockOnAcknowledge, boolean blockOnDurableSend, boolean blockOnNonDurableSend, boolean autoGroup, boolean preAcknowledge, java.lang.String loadBalancingPolicyClassName, int transactionBatchSize, int dupsOKBatchSize, boolean useGlobalPools, int scheduledThreadPoolMaxSize, int threadPoolMaxSize, long retryInterval, double retryIntervalMultiplier, long maxRetryInterval, int reconnectAttempts, boolean failoverOnInitialConnection, java.lang.String groupId, java.lang.String... bindings)` | Deprecated.
    `void` | `createConnectionFactory​(java.lang.String name, boolean ha, JMSFactoryType cfType, java.util.List<java.lang.String> connectorNames, java.lang.String... bindings)` | Deprecated.
    `void` | `createConnectionFactory​(java.lang.String name, boolean ha, JMSFactoryType cfType, java.util.List<java.lang.String> connectorNames, java.lang.String clientID, long clientFailureCheckPeriod, long connectionTTL, long callTimeout, long callFailoverTimeout, boolean cacheLargeMessagesClient, int minLargeMessageSize, boolean compressLargeMessage, int consumerWindowSize, int consumerMaxRate, int confirmationWindowSize, int producerWindowSize, int producerMaxRate, boolean blockOnAcknowledge, boolean blockOnDurableSend, boolean blockOnNonDurableSend, boolean autoGroup, boolean preAcknowledge, java.lang.String loadBalancingPolicyClassName, int transactionBatchSize, int dupsOKBatchSize, boolean useGlobalPools, int scheduledThreadPoolMaxSize, int threadPoolMaxSize, long retryInterval, double retryIntervalMultiplier, long maxRetryInterval, int reconnectAttempts, boolean failoverOnInitialConnection, java.lang.String groupId, java.lang.String... bindings)` | Deprecated.
    `boolean` | `createQueue​(boolean storeConfig, java.lang.String queueName, java.lang.String selectorString, boolean durable, java.lang.String... bindings)` | Deprecated. Creates a JMS Queue.
    `boolean` | `createQueue​(boolean storeConfig, java.lang.String queueName, java.lang.String jmsQueueName, java.lang.String selectorString, boolean durable, java.lang.String... bindings)` | Deprecated. Creates a JMS Queue.
    `boolean` | `createTopic​(boolean storeConfig, java.lang.String address, boolean autoCreated, java.lang.String... bindings)` | Deprecated.
    `boolean` | `createTopic​(boolean storeConfig, java.lang.String address, java.lang.String... bindings)` | Deprecated. Creates a JMS Topic
    `boolean` | `createTopic​(boolean storeConfig, java.lang.String address, java.lang.String topicName, boolean autoCreated, java.lang.String... bindings)` | Deprecated.
    `boolean` | `createTopic​(java.lang.String address, boolean storeConfig, java.lang.String topicName, java.lang.String... bindings)` | Deprecated. Creates a JMS Topic
    `boolean` | `destroyConnectionFactory​(java.lang.String name)` | Deprecated. destroys a connection factory.
    `boolean` | `destroyQueue​(java.lang.String name)` | Deprecated. destroys a queue and removes it from the BindingRegistry
    `boolean` | `destroyQueue​(java.lang.String name, boolean removeConsumers)` | Deprecated. destroys a queue and removes it from the BindingRegistry.
    `boolean` | `destroyTopic​(java.lang.String name)` | Deprecated. destroys a topic and removes it from theBindingRegistry
    `boolean` | `destroyTopic​(java.lang.String name, boolean removeConsumers)` | Deprecated. destroys a topic and removes it from the BindingRegistry
    `org.apache.activemq.artemis.core.server.ActiveMQServer` | `getActiveMQServer()` | Deprecated.
    `org.apache.activemq.artemis.core.settings.impl.AddressSettings` | `getAddressSettings​(java.lang.String address)` | Deprecated.
    `java.lang.String[]` | `getBindingsOnConnectionFactory​(java.lang.String factoryName)` | Deprecated.
    `java.lang.String[]` | `getBindingsOnQueue​(java.lang.String queue)` | Deprecated.
    `java.lang.String[]` | `getBindingsOnTopic​(java.lang.String topic)` | Deprecated.
    `BindingRegistry` | `getRegistry()` | Deprecated.
    `java.util.Set<org.apache.activemq.artemis.core.security.Role>` | `getSecurity​(java.lang.String addressMatch)` | Deprecated.
    `java.lang.String` | `getVersion()` | Deprecated.
    `boolean` | `isStarted()` | Deprecated. Has the Server been started.
    `java.lang.String[]` | `listConnectionIDs()` | Deprecated.
    `java.lang.String` | `listPreparedTransactionDetailsAsHTML()` | Deprecated.
    `java.lang.String` | `listPreparedTransactionDetailsAsJSON()` | Deprecated.
    `java.lang.String[]` | `listRemoteAddresses()` | Deprecated.
    `java.lang.String[]` | `listRemoteAddresses​(java.lang.String ipAddress)` | Deprecated.
    `java.lang.String[]` | `listSessions​(java.lang.String connectionID)` | Deprecated.
    `java.lang.String` | `listSessionsAsJSON​(java.lang.String connectionID)` | Deprecated.
    `ActiveMQConnectionFactory` | `recreateCF​(java.lang.String name, ConnectionFactoryConfiguration cf)` | Deprecated. Call this method to have a CF rebound to the Binding Registry and stored on the Journal
    `boolean` | `removeConnectionFactoryFromBindingRegistry​(java.lang.String name)` | Deprecated.
    `boolean` | `removeConnectionFactoryFromBindingRegistry​(java.lang.String name, java.lang.String binding)` | Deprecated.
    `boolean` | `removeQueueFromBindingRegistry​(java.lang.String name)` | Deprecated. Remove the queue from the BindingRegistry.
    `boolean` | `removeQueueFromBindingRegistry​(java.lang.String name, java.lang.String binding)` | Deprecated. Remove the queue from the BindingRegistry.
    `boolean` | `removeTopicFromBindingRegistry​(java.lang.String name)` | Deprecated. Remove the topic from the BindingRegistry.
    `boolean` | `removeTopicFromBindingRegistry​(java.lang.String name, java.lang.String binding)` | Deprecated. Remove the topic from the Binding Registry or BindingRegistry.
    `void` | `setRegistry​(BindingRegistry registry)` | Deprecated. Set this property if you want JMS resources bound to a registry

    - ### Methods inherited from interface org.apache.activemq.artemis.core.server.ActiveMQComponent

      `asyncStop, start, stop`

- - ### Method Detail

    - #### getVersion

          java.lang.String getVersion()

      Deprecated.

    - #### isStarted

          boolean isStarted()

      Deprecated.
      Has the Server been started.
      Specified by:
        `isStarted` in interface `org.apache.activemq.artemis.core.server.ActiveMQComponent`
      Returns:
        true if the server us running

    - #### createQueue

          boolean createQueue​(boolean storeConfig,
                              java.lang.String queueName,
                              java.lang.String selectorString,
                              boolean durable,
                              java.lang.String... bindings)
                       throws java.lang.Exception

      Deprecated.
      Creates a JMS Queue.
      Parameters:
        `queueName` - The name of the queue to create
        `selectorString` -
        `durable` -
      Returns:
        true if the queue is created or if it existed and was added to the Binding Registry
      Throws:
        `java.lang.Exception` - if problems were encountered creating the queue.

    - #### createQueue

          boolean createQueue​(boolean storeConfig,
                              java.lang.String queueName,
                              java.lang.String jmsQueueName,
                              java.lang.String selectorString,
                              boolean durable,
                              java.lang.String... bindings)
                       throws java.lang.Exception

      Deprecated.
      Creates a JMS Queue.
      Parameters:
        `queueName` - The name of the core queue to create
        `jmsQueueName` - the name of this JMS queue
        `selectorString` -
        `durable` -
      Returns:
        true if the queue is created or if it existed and was added to the Binding Registry
      Throws:
        `java.lang.Exception` - if problems were encountered creating the queue.

    - #### addTopicToBindingRegistry

          boolean addTopicToBindingRegistry​(java.lang.String topicName,
                                            java.lang.String binding)
                                     throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### addQueueToBindingRegistry

          boolean addQueueToBindingRegistry​(java.lang.String queueName,
                                            java.lang.String binding)
                                     throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### addConnectionFactoryToBindingRegistry

          boolean addConnectionFactoryToBindingRegistry​(java.lang.String name,
                                                        java.lang.String binding)
                                                 throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### createTopic

          boolean createTopic​(boolean storeConfig,
                              java.lang.String address,
                              java.lang.String... bindings)
                       throws java.lang.Exception

      Deprecated.
      Creates a JMS Topic
      Parameters:
        `address` - the core addres of thetopic
        `bindings` - the names of the binding for the Binding Registry or BindingRegistry
      Returns:
        true if the topic was created or if it existed and was added to the Binding Registry
      Throws:
        `java.lang.Exception` - if a problem occurred creating the topic

    - #### createTopic

          boolean createTopic​(java.lang.String address,
                              boolean storeConfig,
                              java.lang.String topicName,
                              java.lang.String... bindings)
                       throws java.lang.Exception

      Deprecated.
      Creates a JMS Topic
      Parameters:
        `address` - the core addres of thetopic
        `topicName` - the name of the topic
        `bindings` - the names of the binding for the Binding Registry or BindingRegistry
      Returns:
        true if the topic was created or if it existed and was added to the Binding Registry
      Throws:
        `java.lang.Exception` - if a problem occurred creating the topic

    - #### createTopic

          boolean createTopic​(boolean storeConfig,
                              java.lang.String address,
                              boolean autoCreated,
                              java.lang.String... bindings)
                       throws java.lang.Exception

      Deprecated.
      Parameters:
        `storeConfig` -
        `address` -
        `autoCreated` -
        `bindings` -
      Returns:
      Throws:
        `java.lang.Exception`

    - #### createTopic

          boolean createTopic​(boolean storeConfig,
                              java.lang.String address,
                              java.lang.String topicName,
                              boolean autoCreated,
                              java.lang.String... bindings)
                       throws java.lang.Exception

      Deprecated.
      Parameters:
        `storeConfig` -
        `address` -
        `topicName` -
        `autoCreated` -
        `bindings` -
      Returns:
      Throws:
        `java.lang.Exception`

    - #### removeTopicFromBindingRegistry

          boolean removeTopicFromBindingRegistry​(java.lang.String name,
                                                 java.lang.String binding)
                                          throws java.lang.Exception

      Deprecated.
      Remove the topic from the Binding Registry or BindingRegistry. Calling this method does not destroy the destination.
      Parameters:
        `name` - the name of the destination to remove from the BindingRegistry
      Returns:
        true if removed
      Throws:
        `java.lang.Exception` - if a problem occurred removing the destination

    - #### removeTopicFromBindingRegistry

          boolean removeTopicFromBindingRegistry​(java.lang.String name)
                                          throws java.lang.Exception

      Deprecated.
      Remove the topic from the BindingRegistry. Calling this method does not destroy the destination.
      Parameters:
        `name` - the name of the destination to remove from the BindingRegistry
      Returns:
        true if removed
      Throws:
        `java.lang.Exception` - if a problem occurred removing the destination

    - #### removeQueueFromBindingRegistry

          boolean removeQueueFromBindingRegistry​(java.lang.String name,
                                                 java.lang.String binding)
                                          throws java.lang.Exception

      Deprecated.
      Remove the queue from the BindingRegistry. Calling this method does not destroy the destination.
      Parameters:
        `name` - the name of the destination to remove from the BindingRegistry
      Returns:
        true if removed
      Throws:
        `java.lang.Exception` - if a problem occurred removing the destination

    - #### removeQueueFromBindingRegistry

          boolean removeQueueFromBindingRegistry​(java.lang.String name)
                                          throws java.lang.Exception

      Deprecated.
      Remove the queue from the BindingRegistry. Calling this method does not destroy the destination.
      Parameters:
        `name` - the name of the destination to remove from the BindingRegistry
      Returns:
        true if removed
      Throws:
        `java.lang.Exception` - if a problem occurred removing the destination

    - #### removeConnectionFactoryFromBindingRegistry

          boolean removeConnectionFactoryFromBindingRegistry​(java.lang.String name,
                                                             java.lang.String binding)
                                                      throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### removeConnectionFactoryFromBindingRegistry

          boolean removeConnectionFactoryFromBindingRegistry​(java.lang.String name)
                                                      throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### destroyQueue

          boolean destroyQueue​(java.lang.String name)
                        throws java.lang.Exception

      Deprecated.
      destroys a queue and removes it from the BindingRegistry
      Parameters:
        `name` - the name of the queue to destroy
      Returns:
        true if destroyed
      Throws:
        `java.lang.Exception` - if a problem occurred destroying the queue

    - #### destroyQueue

          boolean destroyQueue​(java.lang.String name,
                               boolean removeConsumers)
                        throws java.lang.Exception

      Deprecated.
      destroys a queue and removes it from the BindingRegistry. disconnects any consumers connected to the queue.
      Parameters:
        `name` - the name of the queue to destroy
      Returns:
        true if destroyed
      Throws:
        `java.lang.Exception` - if a problem occurred destroying the queue

    - #### getBindingsOnQueue

          java.lang.String[] getBindingsOnQueue​(java.lang.String queue)

      Deprecated.

    - #### getBindingsOnTopic

          java.lang.String[] getBindingsOnTopic​(java.lang.String topic)

      Deprecated.

    - #### getBindingsOnConnectionFactory

          java.lang.String[] getBindingsOnConnectionFactory​(java.lang.String factoryName)

      Deprecated.

    - #### destroyTopic

          boolean destroyTopic​(java.lang.String name,
                               boolean removeConsumers)
                        throws java.lang.Exception

      Deprecated.
      destroys a topic and removes it from the BindingRegistry
      Parameters:
        `name` - the name of the topic to destroy
      Returns:
        true if the topic was destroyed
      Throws:
        `java.lang.Exception` - if a problem occurred destroying the topic

    - #### destroyTopic

          boolean destroyTopic​(java.lang.String name)
                        throws java.lang.Exception

      Deprecated.
      destroys a topic and removes it from theBindingRegistry
      Parameters:
        `name` - the name of the topic to destroy
      Returns:
        true if the topic was destroyed
      Throws:
        `java.lang.Exception` - if a problem occurred destroying the topic

    - #### recreateCF

          ActiveMQConnectionFactory recreateCF​(java.lang.String name,
                                               ConnectionFactoryConfiguration cf)
                                        throws java.lang.Exception

      Deprecated.
      Call this method to have a CF rebound to the Binding Registry and stored on the Journal
      Throws:
        `java.lang.Exception`

    - #### createConnectionFactory

          void createConnectionFactory​(java.lang.String name,
                                       boolean ha,
                                       JMSFactoryType cfType,
                                       java.lang.String discoveryGroupName,
                                       java.lang.String... bindings)
                                throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### createConnectionFactory

          void createConnectionFactory​(java.lang.String name,
                                       boolean ha,
                                       JMSFactoryType cfType,
                                       java.util.List<java.lang.String> connectorNames,
                                       java.lang.String... bindings)
                                throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### createConnectionFactory

          void createConnectionFactory​(java.lang.String name,
                                       boolean ha,
                                       JMSFactoryType cfType,
                                       java.util.List<java.lang.String> connectorNames,
                                       java.lang.String clientID,
                                       long clientFailureCheckPeriod,
                                       long connectionTTL,
                                       long callTimeout,
                                       long callFailoverTimeout,
                                       boolean cacheLargeMessagesClient,
                                       int minLargeMessageSize,
                                       boolean compressLargeMessage,
                                       int consumerWindowSize,
                                       int consumerMaxRate,
                                       int confirmationWindowSize,
                                       int producerWindowSize,
                                       int producerMaxRate,
                                       boolean blockOnAcknowledge,
                                       boolean blockOnDurableSend,
                                       boolean blockOnNonDurableSend,
                                       boolean autoGroup,
                                       boolean preAcknowledge,
                                       java.lang.String loadBalancingPolicyClassName,
                                       int transactionBatchSize,
                                       int dupsOKBatchSize,
                                       boolean useGlobalPools,
                                       int scheduledThreadPoolMaxSize,
                                       int threadPoolMaxSize,
                                       long retryInterval,
                                       double retryIntervalMultiplier,
                                       long maxRetryInterval,
                                       int reconnectAttempts,
                                       boolean failoverOnInitialConnection,
                                       java.lang.String groupId,
                                       java.lang.String... bindings)
                                throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### createConnectionFactory

          void createConnectionFactory​(java.lang.String name,
                                       boolean ha,
                                       JMSFactoryType cfType,
                                       java.lang.String discoveryGroupName,
                                       java.lang.String clientID,
                                       long clientFailureCheckPeriod,
                                       long connectionTTL,
                                       long callTimeout,
                                       long callFailoverTimeout,
                                       boolean cacheLargeMessagesClient,
                                       int minLargeMessageSize,
                                       boolean compressLargeMessages,
                                       int consumerWindowSize,
                                       int consumerMaxRate,
                                       int confirmationWindowSize,
                                       int producerWindowSize,
                                       int producerMaxRate,
                                       boolean blockOnAcknowledge,
                                       boolean blockOnDurableSend,
                                       boolean blockOnNonDurableSend,
                                       boolean autoGroup,
                                       boolean preAcknowledge,
                                       java.lang.String loadBalancingPolicyClassName,
                                       int transactionBatchSize,
                                       int dupsOKBatchSize,
                                       boolean useGlobalPools,
                                       int scheduledThreadPoolMaxSize,
                                       int threadPoolMaxSize,
                                       long retryInterval,
                                       double retryIntervalMultiplier,
                                       long maxRetryInterval,
                                       int reconnectAttempts,
                                       boolean failoverOnInitialConnection,
                                       java.lang.String groupId,
                                       java.lang.String... bindings)
                                throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### createConnectionFactory

          void createConnectionFactory​(boolean storeConfig,
                                       ConnectionFactoryConfiguration cfConfig,
                                       java.lang.String... bindings)
                                throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### destroyConnectionFactory

          boolean destroyConnectionFactory​(java.lang.String name)
                                    throws java.lang.Exception

      Deprecated.
      destroys a connection factory.
      Parameters:
        `name` - the name of the connection factory to destroy
      Returns:
        true if the connection factory was destroyed
      Throws:
        `java.lang.Exception` - if a problem occurred destroying the connection factory

    - #### listRemoteAddresses

          java.lang.String[] listRemoteAddresses()
                                          throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### listRemoteAddresses

          java.lang.String[] listRemoteAddresses​(java.lang.String ipAddress)
                                          throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### closeConnectionsForAddress

          boolean closeConnectionsForAddress​(java.lang.String ipAddress)
                                      throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### closeConsumerConnectionsForAddress

          boolean closeConsumerConnectionsForAddress​(java.lang.String address)
                                              throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### closeConnectionsForUser

          boolean closeConnectionsForUser​(java.lang.String address)
                                   throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### listConnectionIDs

          java.lang.String[] listConnectionIDs()
                                        throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### listSessions

          java.lang.String[] listSessions​(java.lang.String connectionID)
                                   throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### listSessionsAsJSON

          java.lang.String listSessionsAsJSON​(java.lang.String connectionID)
                                       throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### listPreparedTransactionDetailsAsJSON

          java.lang.String listPreparedTransactionDetailsAsJSON()
                                                         throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### listPreparedTransactionDetailsAsHTML

          @Deprecated
          java.lang.String listPreparedTransactionDetailsAsHTML()
                                                         throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### getActiveMQServer

          org.apache.activemq.artemis.core.server.ActiveMQServer getActiveMQServer()

      Deprecated.

    - #### addAddressSettings

          void addAddressSettings​(java.lang.String address,
                                  org.apache.activemq.artemis.core.settings.impl.AddressSettings addressSettings)

      Deprecated.

    - #### getAddressSettings

          org.apache.activemq.artemis.core.settings.impl.AddressSettings getAddressSettings​(java.lang.String address)

      Deprecated.

    - #### addSecurity

          void addSecurity​(java.lang.String addressMatch,
                           java.util.Set<org.apache.activemq.artemis.core.security.Role> roles)

      Deprecated.

    - #### getSecurity

          java.util.Set<org.apache.activemq.artemis.core.security.Role> getSecurity​(java.lang.String addressMatch)

      Deprecated.

    - #### getRegistry

          BindingRegistry getRegistry()

      Deprecated.

    - #### setRegistry

          void setRegistry​(BindingRegistry registry)

      Deprecated.
      Set this property if you want JMS resources bound to a registry
      Parameters:
        `registry` -